commit:     19c261add236d160d382332ce29785558f394bf9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  1 23:41:46 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar  2 02:19:03 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19c261ad

app-text/lesspipe: add 2.04

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/lesspipe/Manifest             |  1 +
 app-text/lesspipe/lesspipe-2.04.ebuild | 42 ++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/app-text/lesspipe/Manifest b/app-text/lesspipe/Manifest
index ab31d874e0f5..e3edb43046cf 100644
--- a/app-text/lesspipe/Manifest
+++ b/app-text/lesspipe/Manifest
@@ -1,2 +1,3 @@
 DIST lesspipe-1.91.tar.gz 121965 BLAKE2B 
93c169b2b1a81db7e7b569718a43152a8f2b9ea95258047a00ae4940509817a3eb861fdadb6bafc5861c49e805ce910348a57f634bdae57317811ac6fbfc6945
 SHA512 
d080ceaae019d8885a53c8abb26f4a159b78578f68c2b9a024960aa69509651e3b6638e78bd6e2e57c23d81123d9a3cab167736f253ba4276a3889890d594bd3
 DIST lesspipe-2.03.tar.gz 166602 BLAKE2B 
a90324726f0401417c0f452f489463ac2ef2a710b790ef41c306803dc5c981637530abe034048c0739c1cd698b7901fcdcc074350d1d2a87f848ad5c4f9807ac
 SHA512 
d83b4532f7f1cb58c48e274b34ad1f16c3392b120fbca1d66ff45997e1a28ca8804574e19522745f56344944fa8219ea0457dcb9579bd9b9fe7a8df8a82113f6
+DIST lesspipe-2.04.tar.gz 166831 BLAKE2B 
c33620b1c2714b01a89eaaeaeccfd72e62fd5123270ec84d3e27e914bda8f734758b36ea850126aa1ecd6ab36b9442577ac591024c373bdf6540b95816ed750b
 SHA512 
04312d21c4f45b1630efd597ffafd69fc46ceff1fd5872d296a7811940f9d34da805c4ef4fa543af839de7e8bb4225c6ef5e680e9675eae4f56de669ec975669

diff --git a/app-text/lesspipe/lesspipe-2.04.ebuild 
b/app-text/lesspipe/lesspipe-2.04.ebuild
new file mode 100644
index 000000000000..ece7aa8140b7
--- /dev/null
+++ b/app-text/lesspipe/lesspipe-2.04.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A preprocessor for less"
+HOMEPAGE="https://github.com/wofr06/lesspipe";
+SRC_URI="https://github.com/wofr06/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+# Please check again on bumps!
+# bug #734896
+RESTRICT="test"
+
+BDEPEND="dev-lang/perl"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       # Not an autoconf script.
+       ./configure --fixed || die
+}
+
+src_compile() {
+       # Nothing to build (avoids the "all" target)
+       :
+}
+
+src_install() {
+       emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" install
+       einstalldocs
+}
+
+pkg_preinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               elog "This package installs 'lesspipe.sh' which is distinct 
from 'lesspipe'."
+               elog "The latter is the Gentoo-specific version.  Make sure to 
update your"
+               elog "LESSOPEN environment variable if you wish to use this 
copy."
+       fi
+}

Reply via email to